RHEL 6 : devtoolset-2-axis (RHSA-2014:1123)

Medium Nessus Plugin ID 79045


The remote Red Hat host is missing a security update.


An updated devtoolset-2-axis package that fixes one security issue is now available for Red Hat Developer Toolset 2.

Red Hat Product Security has rated this update as having Moderate security impact. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available from the CVE link in the References section.

Apache Axis is an implementation of SOAP (Simple Object Access Protocol). It can be used to build both web service clients and servers.

Apache Axis did not verify that the server host name matched the domain name in the subject's Common Name (CN) or subjectAltName field in X.509 certificates. This could allow a man-in-the-middle attacker to spoof an SSL server if they had a certificate that was valid for any domain name. (CVE-2012-5784)

All devtoolset-2-axis users are advised to upgrade to this updated package, which contains a backported patch to correct this issue.


Update the affected devtoolset-2-axis package.

See Also



Plugin Details

Severity: Medium

ID: 79045

File Name: redhat-RHSA-2014-1123.nasl

Version: $Revision: 1.6 $

Type: local

Agent: unix

Published: 2014/11/08

Modified: 2017/01/06

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Temporal Score: 4.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:devtoolset-2-axis, cpe:/o:redhat:enterprise_linux:6

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2014/09/02

Reference Information

CVE: CVE-2012-5784

OSVDB: 87150

RHSA: 2014:1123